> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhinestone.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Intent Operation

> Retrieve the status of a specific intent operation along with the status of each operation within the intent.



## OpenAPI

````yaml https://raw.githubusercontent.com/rhinestonewtf/openapi/refs/heads/main/orchestrator.json get /intent-operation/{id}
openapi: 3.0.2
info:
  title: Rhinestone Orchestrator API
  version: 1.0.0
servers:
  - url: https://v1.orchestrator.rhinestone.dev
security: []
paths:
  /intent-operation/{id}:
    get:
      tags: []
      summary: Get Intent Operation
      description: >-
        Retrieve the status of a specific intent operation along with the status
        of each operation within the intent.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            pattern: ^\d+$
            example: >-
              77119256265773742309930654065362693497375232736834856992878277299604179621015
          description: Unique identifier of the intent operation
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            description: Rhinestone API key
        - name: x-api-version
          in: header
          schema:
            type: string
            pattern: ^\d{4}-\d{2}\.[a-z0-9]+$
            description: >-
              API version (YYYY-MM.name). Will become required in a future
              release.
            example: 2026-01.alps
        - name: full
          in: query
          description: Whether to include intent operation details
          schema:
            type: boolean
            example: 'true'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - PENDING
                      - PRECONFIRMED
                      - CLAIMED
                      - FILLED
                      - COMPLETED
                      - FAILED
                      - EXPIRED
                    description: Overall status of the intent operation
                    example: COMPLETED
                  fillTimestamp:
                    type: number
                    description: Timestamp of the fill transaction
                    example: 1633493192
                  fillTransactionHash:
                    type: string
                    description: Transaction hash of the fill transaction
                    example: >-
                      0xc1674f4671accbceec3f22c2c9cfa4f7aead7183f48df90c239e0d85d6c31e21
                  destinationChainId:
                    type: integer
                    format: int64
                    description: Chain ID of the fill transaction
                    example: 8453
                  userAddress:
                    type: string
                    description: User address
                    example: '0x3672e268a79bd4acc5ee646bdda652547c7a435c'
                  claims:
                    type: array
                    items:
                      type: object
                      properties:
                        chainId:
                          type: number
                          description: Chain ID of the claim
                          example: 10
                        status:
                          type: string
                          enum:
                            - PENDING
                            - EXPIRED
                            - PRECONFIRMED
                            - COMPLETED
                            - FAILED
                          description: Status of the claim
                          example: COMPLETED
                        claimTimestamp:
                          type: number
                          description: Timestamp when the claim was processed
                        claimTransactionHash:
                          type: string
                          description: Transaction hash of the claim transaction
                      required:
                        - chainId
                        - status
                    description: Array of claims within the intent
                required:
                  - status
                  - destinationChainId
                  - userAddress
                  - claims
                description: Successfully retrieved intent operation status
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          description: Error message
                          example: Invalid input
                        context:
                          nullable: true
                          description: Additional error context
                      required:
                        - message
                  traceId:
                    type: string
                    description: Trace ID
                    example: eb0ba4657f36364b33ec565c15f98368
                required:
                  - errors
                  - traceId
                description: Invalid intent ID
        '404':
          description: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          description: Error message
                          example: Invalid input
                        context:
                          nullable: true
                          description: Additional error context
                      required:
                        - message
                  traceId:
                    type: string
                    description: Trace ID
                    example: eb0ba4657f36364b33ec565c15f98368
                required:
                  - errors
                  - traceId
                description: Intent ID not found
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message describing the server-side issue
                    example: An unknown error occurred
                required:
                  - error
                description: Server error

````